[arch-commits] Commit in mixxx/repos/community-x86_64 (PKGBUILD PKGBUILD)

David Runge dvzrv at archlinux.org
Fri Jan 4 09:07:17 UTC 2019


    Date: Friday, January 4, 2019 @ 09:07:16
  Author: dvzrv
Revision: 420509

archrelease: copy trunk to community-x86_64

Added:
  mixxx/repos/community-x86_64/PKGBUILD
    (from rev 420508, mixxx/trunk/PKGBUILD)
Deleted:
  mixxx/repos/community-x86_64/PKGBUILD

----------+
 PKGBUILD |   88 ++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 58 insertions(+), 30 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-01-04 09:07:05 UTC (rev 420508)
+++ PKGBUILD	2019-01-04 09:07:16 UTC (rev 420509)
@@ -1,30 +0,0 @@
-# Maintainer: Lukas Fleischer <lfleischer at archlinux.org>
-# Contributor: Ali H. Caliskan <ali.h.caliskan AT gmail DOT com>
-# Contributor: Ryan Coyner <rcoyner at gmail.com>
-# Contributor: Stefan Husmann <stefan-husmann at t-online.de>
-
-pkgname=mixxx
-pkgver=2.1.4
-pkgrel=1
-pkgdesc="Free, open source software for digital DJ'ing."
-arch=('x86_64')
-url='https://www.mixxx.org'
-license=('GPL')
-depends=('fftw' 'libid3tag' 'libmad' 'libogg' 'libshout' 'libsndfile' 'portaudio' 'portmidi'
-         'taglib' 'qt4' 'vamp-plugin-sdk' 'libusbx' 'protobuf' 'faad2' 'libmp4v2'
-         'rubberband' 'chromaprint' 'sqlite' 'opus' 'opusfile' 'upower')
-makedepends=('mesa' 'scons' 'libshout' 'glu')
-source=("https://github.com/${pkgname}dj/${pkgname}/archive/release-${pkgver}.tar.gz")
-md5sums=('305dfb0dde73b9062d1d48f8ae07a370')
-
-build() {
-  cd "${srcdir}/${pkgname}-release-${pkgver}"
-  export SCONSFLAGS="-j $(nproc)"
-  scons build=release optimize=portable virtualize=0 localecompare=1 qt_sqlite_plugin=0 opus=1 \
-    qtdir=/usr/lib/qt4 prefix=/usr faad=1
-}
-
-package() {
-  cd "${srcdir}/${pkgname}-release-${pkgver}"
-  scons qtdir=/usr/lib/qt4 prefix=/usr install_root="${pkgdir}/usr" install
-}

Copied: mixxx/repos/community-x86_64/PKGBUILD (from rev 420508, mixxx/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-01-04 09:07:16 UTC (rev 420509)
@@ -0,0 +1,58 @@
+# Maintainer: Lukas Fleischer <lfleischer at archlinux.org>
+# Contributor: David Runge <dave at sleepmap.de>
+# Contributor: Ali H. Caliskan <ali.h.caliskan AT gmail DOT com>
+# Contributor: Ryan Coyner <rcoyner at gmail.com>
+# Contributor: Stefan Husmann <stefan-husmann at t-online.de>
+
+pkgname=mixxx
+pkgver=2.2.0
+pkgrel=1
+pkgdesc="Free, open source software for digital DJ'ing."
+arch=('x86_64')
+url='https://www.mixxx.org'
+license=('GPL2')
+groups=('pro-audio')
+depends=('chromaprint' 'faad2' 'gperftools' 'glu' 'libid3tag' 'libmad'
+'libmp4v2' 'libshout' 'lilv' 'opusfile' 'portaudio' 'portmidi' 'protobuf'
+'qt5-script' 'qt5-svg' 'qt5-x11extras' 'rubberband' 'taglib' 'upower'
+'wavpack')
+makedepends=('qt5-tools' 'qtkeychain' 'scons')
+optdepends=('qtkeychain: Credentials storage support for Live Broadcasting profiles')
+checkdepends=('xorg-server-xvfb')
+source=("https://github.com/${pkgname}dj/${pkgname}/archive/release-${pkgver}.tar.gz")
+sha512sums=('8174b504d236cde36c636985e0e224915f0be69b13691bf0d88c21087c20c1100ff55561b6e395d97fe5b21a0229fe9ecdac2493cb44fa99a42549c368fa2134')
+
+prepare() {
+  mv -v "${pkgname}-release-${pkgver}" "${pkgname}-${pkgver}"
+  cd "${pkgname}-${pkgver}"
+}
+
+build() {
+  cd "${pkgname}-${pkgver}"
+  export SCONSFLAGS="-j $(nproc)"
+  scons prefix=/usr \
+        build=release \
+        faad=1 \
+        modplug=1 \
+        perftools=1 \
+        perftools_profiler=1 \
+        qt_sqlite_plugin=0 \
+        test=1 \
+        target=linux \
+        virtualize=0 \
+        wv=1
+}
+
+check() {
+  cd "${pkgname}-${pkgver}"
+  xvfb-run lin64_build/${pkgname}-test || warning "Known failing test: https://bugs.launchpad.net/mixxx/+bug/1810495"
+}
+
+package() {
+  cd "${pkgname}-${pkgver}"
+  scons prefix=/usr \
+        install_root="${pkgdir}/usr" \
+        install
+  # removing the test executable
+  rm -v "${pkgdir}/usr/bin/${pkgname}-test"
+}


More information about the arch-commits mailing list